Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.tree
Class DefaultTreeCellRenderer

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JLabel
                              |
                              +--javax.swing.tree.DefaultTreeCellRenderer

public class DefaultTreeCellRenderer
extends JLabel
implements TreeCellRenderer

Displays an entry in a tree.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JLabel
`JLabel.AccessibleJLabel`

Inner classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Field Summary
`protected java.awt.Color` | `backgroundNonSelectionColor` Color to use for the background when the node isn't selected.
`protected java.awt.Color` | `backgroundSelectionColor` Color to use for the background when a node is selected.
`protected java.awt.Color` | `borderSelectionColor` Color to use for the background when the node isn't selected.
`protected Icon` | `closedIcon` Icon used to show non-leaf nodes that aren't expanded.
`protected Icon` | `leafIcon` Icon used to show leaf nodes.
`protected Icon` | `openIcon` Icon used to show non-leaf nodes that are expanded.
`protected boolean` | `selected` Is the value currently selected.
`protected java.awt.Color` | `textNonSelectionColor` Color to use for the foreground for non-selected nodes.
`protected java.awt.Color` | `textSelectionColor` Color to use for the foreground for selected nodes.

Fields inherited from class javax.swing.JLabel
`labelFor`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`DefaultTreeCellRenderer()` Returns a new instance of DefaultTreeCellRenderer.

Method Summary
`java.awt.Color` | `getBackgroundNonSelectionColor()` Returns the background color to be used for non selected nodes.
`java.awt.Color` | `getBackgroundSelectionColor()` Returns the color to use for the background if node is selected.
`java.awt.Color` | `getBorderSelectionColor()` Returns the color the border is drawn.
`Icon` | `getClosedIcon()` Returns the icon used to represent non-leaf nodes that are not expanded.
`Icon` | `getDefaultClosedIcon()` Returns the default icon used to represent non-leaf nodes that are not expanded.
`Icon` | `getDefaultLeafIcon()` Returns the default icon used to represent leaf nodes.
`Icon` | `getDefaultOpenIcon()` Returns the default icon used to represent non-leaf nodes that are expanded.
`Icon` | `getLeafIcon()` Returns the icon used to represent leaf nodes.
`Icon` | `getOpenIcon()` Returns the icon used to represent non-leaf nodes that are expanded.
`java.awt.Dimension` | `getPreferredSize()` Overrides `JComponent.getPreferredSize` to return slightly taller preferred size value.
`java.awt.Color` | `getTextNonSelectionColor()` Returns the color the text is drawn with when the node isn't selected.
`java.awt.Color` | `getTextSelectionColor()` Returns the color the text is drawn with when the node is selected.
`java.awt.Component` | `getTreeCellRendererComponent(JTree tree, java.lang.Object value, boolean sel, boolean expanded, boolean leaf, int row, boolean hasFocus)` Configures the renderer based on the passed in components.
`void` | `paint(java.awt.Graphics g)` Paints the value.
`void` | `setBackground(java.awt.Color color)` Subclassed to only accept the color if it isn't a ColorUIResource.
`void` | `setBackgroundNonSelectionColor(java.awt.Color newColor)` Sets the background color to be used for non selected nodes.
`void` | `setBackgroundSelectionColor(java.awt.Color newColor)` Sets the color to use for the background if node is selected.
`void` | `setBorderSelectionColor(java.awt.Color newColor)` Sets the color to use for the border.
`void` | `setClosedIcon(Icon newIcon)` Sets the icon used to represent non-leaf nodes that are not expanded.
`void` | `setFont(java.awt.Font font)` Subclassed to only accept the font if it isn't a FontUIResource.
`void` | `setLeafIcon(Icon newIcon)` Sets the icon used to represent leaf nodes.
`void` | `setOpenIcon(Icon newIcon)` Sets the icon used to represent non-leaf nodes that are expanded.
`void` | `setTextNonSelectionColor(java.awt.Color newColor)` Sets the color the text is drawn with when the node isn't selected.
`void` | `setTextSelectionColor(java.awt.Color newColor)` Sets the color the text is drawn with when the node is selected.

Methods inherited from class javax.swing.JLabel
`checkHorizontalKey, checkVerticalKey, getAccessibleContext, getDisabledIcon, getDisplayedMnemonic, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getIconTextGap, getLabelFor, getText, getUI, getUIClassID, getVerticalAlignment, getVerticalTextPosition, paramString, setDisabledIcon, setDisplayedMnemonic, setDisplayedMnemonic, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setIconTextGap, setLabelFor, setText, setUI, setVerticalAlignment, setVerticalTextPosition, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, getBackground, getBounds, getColorModel, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isEnabled, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### selected

    protected boolean selected

  Is the value currently selected.

### closedIcon

    protected transient Icon closedIcon

  Icon used to show non-leaf nodes that aren't expanded.

### leafIcon

    protected transient Icon leafIcon

  Icon used to show leaf nodes.

### openIcon

    protected transient Icon openIcon

  Icon used to show non-leaf nodes that are expanded.

### textSelectionColor

    protected java.awt.Color textSelectionColor

  Color to use for the foreground for selected nodes.

### textNonSelectionColor

    protected java.awt.Color textNonSelectionColor

  Color to use for the foreground for non-selected nodes.

### backgroundSelectionColor

    protected java.awt.Color backgroundSelectionColor

  Color to use for the background when a node is selected.

### backgroundNonSelectionColor

    protected java.awt.Color backgroundNonSelectionColor

  Color to use for the background when the node isn't selected.

### borderSelectionColor

    protected java.awt.Color borderSelectionColor

  Color to use for the background when the node isn't selected.

Constructor Detail

### DefaultTreeCellRenderer

    public DefaultTreeCellRenderer()

  Returns a new instance of DefaultTreeCellRenderer. Alignment is set to left aligned. Icons and text color are determined from the UIManager.

Method Detail

### getDefaultOpenIcon

    public Icon getDefaultOpenIcon()

  Returns the default icon used to represent non-leaf nodes that are expanded.

### getDefaultClosedIcon

    public Icon getDefaultClosedIcon()

  Returns the default icon used to represent non-leaf nodes that are not expanded.

### getDefaultLeafIcon

    public Icon getDefaultLeafIcon()

  Returns the default icon used to represent leaf nodes.

### setOpenIcon

    public void setOpenIcon(Icon newIcon)

  Sets the icon used to represent non-leaf nodes that are expanded.

### getOpenIcon

    public Icon getOpenIcon()

  Returns the icon used to represent non-leaf nodes that are expanded.

### setClosedIcon

    public void setClosedIcon(Icon newIcon)

  Sets the icon used to represent non-leaf nodes that are not expanded.

### getClosedIcon

    public Icon getClosedIcon()

  Returns the icon used to represent non-leaf nodes that are not expanded.

### setLeafIcon

    public void setLeafIcon(Icon newIcon)

  Sets the icon used to represent leaf nodes.

### getLeafIcon

    public Icon getLeafIcon()

  Returns the icon used to represent leaf nodes.

### setTextSelectionColor

    public void setTextSelectionColor(java.awt.Color newColor)

  Sets the color the text is drawn with when the node is selected.

### getTextSelectionColor

    public java.awt.Color getTextSelectionColor()

  Returns the color the text is drawn with when the node is selected.

### setTextNonSelectionColor

    public void setTextNonSelectionColor(java.awt.Color newColor)

  Sets the color the text is drawn with when the node isn't selected.

### getTextNonSelectionColor

    public java.awt.Color getTextNonSelectionColor()

  Returns the color the text is drawn with when the node isn't selected.

### setBackgroundSelectionColor

    public void setBackgroundSelectionColor(java.awt.Color newColor)

  Sets the color to use for the background if node is selected.

### getBackgroundSelectionColor

    public java.awt.Color getBackgroundSelectionColor()

  Returns the color to use for the background if node is selected.

### setBackgroundNonSelectionColor

    public void setBackgroundNonSelectionColor(java.awt.Color newColor)

  Sets the background color to be used for non selected nodes.

### getBackgroundNonSelectionColor

    public java.awt.Color getBackgroundNonSelectionColor()

  Returns the background color to be used for non selected nodes.

### setBorderSelectionColor

    public void setBorderSelectionColor(java.awt.Color newColor)

  Sets the color to use for the border.

### getBorderSelectionColor

    public java.awt.Color getBorderSelectionColor()

  Returns the color the border is drawn.

### setFont

    public void setFont(java.awt.Font font)

  Subclassed to only accept the font if it isn't a FontUIResource.
  Overrides:
    setFont in class JComponent

### setBackground

    public void setBackground(java.awt.Color color)

  Subclassed to only accept the color if it isn't a ColorUIResource.
  Overrides:
    setBackground in class JComponent

### getTreeCellRendererComponent

    public java.awt.Component getTreeCellRendererComponent(JTree tree,
                                                           java.lang.Object value,
                                                           boolean sel,
                                                           boolean expanded,
                                                           boolean leaf,
                                                           int row,
                                                           boolean hasFocus)

  Configures the renderer based on the passed in components. The value is set from messaging value with toString(). The foreground color is set based on the selection and the icon is set based on on leaf and expanded.
  Specified by:
    getTreeCellRendererComponent in interface TreeCellRenderer

### paint

    public void paint(java.awt.Graphics g)

  Paints the value. The background is filled based on selected.
  Overrides:
    paint in class JComponent

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Overrides `JComponent.getPreferredSize` to return slightly taller preferred size value.
  Overrides:
    getPreferredSize in class JComponent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.